## Class TSqlMapLruCache

Description

Least recently used cache implementation, removes object that was accessed last when the cache is full.

- since: 3.1
- version: $Id: TSqlMapCache.php 1568 2006-12-09 09:17:22Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Data/SqlMap/DataMapper/TSqlMapCache.php (line 132)

    TSqlMapCache
       |
       --TSqlMapLruCache

Method Summary
mixed get (mixed $key)
void set (string $key, mixed $value, mixed $expire, [mixed $dependency = null])
Variables

#### Inherited Variables

Inherited from TSqlMapCache

> TSqlMapCache::$_cache
> TSqlMapCache::$_cacheSize
> TSqlMapCache::$_keyList

Methods
get (line 137)

- return: Gets a cached object with the specified key.
- access: public

mixed get (mixed $key)
set (line 153)

Stores a value identified by a key into cache.

The expire and dependency parameters are ignored.

- access: public

void set (string $key, mixed $value, mixed $expire, [mixed $dependency = null])

- string $key: the key identifying the value to be cached
- mixed $value: the value to be cached

#### Inherited Methods

Inherited From TSqlMapCache

> TSqlMapCache::__construct()
> TSqlMapCache::add()
> TSqlMapCache::delete()
> TSqlMapCache::flush()
> TSqlMapCache::getCacheSize()
> TSqlMapCache::setCacheSize()

Documentation generated on Mon, 21 Apr 2008 11:36:16 -0400 by phpDocumentor 1.3.0RC4